@prefix blop: <http://drobilla.net/plugins/blop/> .
@prefix dct: <http://purl.org/dc/terms/> .
@prefix doap: <http://usefulinc.com/ns/doap#> .
@prefix lv2: <http://lv2plug.in/ns/lv2core#> .
@prefix morph: <http://lv2plug.in/ns/ext/morph#> .
@prefix opts: <http://lv2plug.in/ns/ext/options#> .
@prefix units: <http://lv2plug.in/ns/extensions/units#> .
@prefix urid: <http://lv2plug.in/ns/ext/urid#> .

blop:pulse
	a lv2:Plugin ,
		lv2:OscillatorPlugin ;
	lv2:project blop: ;
	lv2:symbol "pulse" ;
	lv2:microVersion 0 ;
	lv2:minorVersion 0 ;
	lv2:extensionData opts:interface ;
	lv2:optionalFeature lv2:hardRTCapable ,
		urid:map ;
	lv2:port [
		a lv2:ControlPort ,
			lv2:InputPort ,
			morph:MorphPort ;
		lv2:index 0 ;
		lv2:maximum 0.5 ;
		lv2:minimum 0.000001 ;
		lv2:default 440.0 ;
		lv2:name "Frequency" ;
		lv2:portProperty <http://lv2plug.in/ns/ext/port-props#logarithmic> ,
			lv2:sampleRate ;
		lv2:symbol "freq" ;
		morph:supportsType lv2:CVPort ;
		units:unit units:hz
	] , [
		a lv2:ControlPort ,
			lv2:InputPort ,
			morph:MorphPort ;
		lv2:default 0.5 ;
		lv2:index 1 ;
		lv2:maximum 1 ;
		lv2:minimum 0 ;
		lv2:name "Pulse Width" ;
		lv2:symbol "pwidth" ;
		morph:supportsType lv2:CVPort
	] , [
		a lv2:AudioPort ,
			lv2:OutputPort ;
		lv2:index 2 ;
		lv2:name "Output" ;
		lv2:symbol "out"
	] ;
	dct:replaces <urn:ladspa:1645> ,
		<urn:ladspa:1646> ,
		<urn:ladspa:1647> ,
		<urn:ladspa:1648> ;
	doap:name "Pulse" ;
	lv2:documentation """
<p>Generates an alias-free pulse wave at given input frequency and pulse width
(duty).</p>
""" .
